## org.eclipse.emf.compare.diff.metamodel
Interface ComparisonResourceSetSnapshot

All Superinterfaces:
  ComparisonSnapshot, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ComparisonResourceSetSnapshotImpl

    public interface ComparisonResourceSetSnapshot

extends ComparisonSnapshot

A representation of the model object ' Comparison Resource Set Snapshot'. This can be used to hold the result of ResourceSet-wide comparisons.

The following features are supported:

- `Diff Resource Set`
- `Match Resource Set`

See Also:
  `DiffPackage.getComparisonResourceSetSnapshot()`

Method Summary
`DiffResourceSet` `getDiffResourceSet()` Returns the value of the 'Diff Resource Set' containment reference
`MatchResourceSet` `getMatchResourceSet()` Returns the value of the 'Match Resource Set' containment reference.
`void` `setDiffResourceSet(DiffResourceSet value)` Sets the value of the '`Diff Resource Set`' containment reference
`void` `setMatchResourceSet(MatchResourceSet value)` Sets the value of the '`Match Resource Set`' containment reference

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.ComparisonSnapshot
`getDate, setDate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiffResourceSet

    DiffResourceSet getDiffResourceSet()

  Returns the value of the 'Diff Resource Set' containment reference.

  If the meaning of the 'Diff Resource Set' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diff Resource Set' containment reference.
  See Also:
    `setDiffResourceSet(DiffResourceSet)`, `DiffPackage.getComparisonResourceSetSnapshot_DiffResourceSet()`

### setDiffResourceSet

    void setDiffResourceSet(DiffResourceSet value)

  Sets the value of the '`Diff Resource Set`' containment reference.

  Parameters:
    `value` - the new value of the 'Diff Resource Set' containment reference.
  See Also:
    `getDiffResourceSet()`

### getMatchResourceSet

    MatchResourceSet getMatchResourceSet()

  Returns the value of the 'Match Resource Set' containment reference.

  If the meaning of the 'Match Resource Set' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Match Resource Set' containment reference.
  See Also:
    `setMatchResourceSet(MatchResourceSet)`, `DiffPackage.getComparisonResourceSetSnapshot_MatchResourceSet()`

### setMatchResourceSet

    void setMatchResourceSet(MatchResourceSet value)

  Sets the value of the '`Match Resource Set`' containment reference.

  Parameters:
    `value` - the new value of the 'Match Resource Set' containment reference.
  See Also:
    `getMatchResourceSet()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.